# SnowRunner 1.0.38
# BID: 53531030A4199B74
# Just search for 0x42055555

unsafeCheck: true

MASTER_WRITE:
# Redirect DR frametime target to MAIN+0x309FF00
  -
    type: bytes
    main_offset: 0x1936124
    value_type: uint32
    value: 
      - 0xB000BB4A # adrp x10, #0x309F000
      - 0xBD4F0142 # ldr s2, [x10, #0xf00]
  # default value
  -
    type: bytes
    main_offset: 0x309FF00
    value_type: float
    value: 33.3333333333
ALL_FPS:
  -
    type: evaluate_write
    address: [MAIN, 0x309FF00]
    value_type: float
    value: FRAMETIME_TARGET